Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.security
Interface CertificateVerificationProvider

public interface CertificateVerificationProvider

Security Certificate verification service provider's interface. A class can implement this interface to verify digital certificates that are used in SSL mutual authentication. Several WebLogic Collaborate components are instrumented to call methods in this interface when needed.

Classes that implement this interface must have a public no-arg constructor that throws no exceptions.

Methods in this interface follow a simple pattern:

- No exceptions should be thrown.

  Author:
    Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

  Method Summary
  `void` | `init()` init method
  `java.lang.String` | `verify(java.security.cert.X509Certificate[] certs)` A request was made to verify the certificate chain It is important to note that some SSL servers don't send the whole certificate chain but only their individual certificate.

  Method Detail

  ### init

      public void init()

    init method

  ### verify

      public java.lang.String verify(java.security.cert.X509Certificate[] certs)

    A request was made to verify the certificate chain It is important to note that some SSL servers don't send the whole certificate chain but only their individual certificate.

    Parameters:
      `certs` - Certificate chain used in SSL handshake. The certificate chain is an array of weblogic.security.X509.
    Returns:
      status. Status is "good" if the certificate chain is OK Status is "unknown" if the certificate is not issued by a known CA. Status is "revoked" if the certificate is revoked.

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  | WebLogic Integration
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  WebLogic Integration (WLI)